#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	C++ wrappers for libgnomecanvas
Summary(pl.UTF-8):	Interfejsy C++ dla libgnomecanvas
Name:		libgnomecanvasmm
Version:	2.26.0
Release:	7
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgnomecanvasmm/2.26/%{name}-%{version}.tar.bz2
# Source0-md5:	a148c99311d46397de6e4a31736771ab
URL:		https://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtkmm-devel >= 2.12.0
BuildRequires:	libgnomecanvas-devel >= 2.19.2
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	m4
BuildRequires:	pkgconfig
Requires:	libgnomecanvas >= 2.19.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrappers for libgnomecanvas.

%description -l pl.UTF-8
Interfejsy C++ dla libgnomecanvas.

%package devel
Summary:	Devel files for libgnomecanvasmm
Summary(pl.UTF-8):	Pliki nagłówkowe dla libgnomecanvasmm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtkmm-devel >= 2.12.0
Requires:	libart_lgpl-devel >= 2.3.16
Requires:	libgnomecanvas-devel >= 2.19.2

%description devel
Devel files for libgnomecanvasmm.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla libgnomecancasmm.

%package static
Summary:	libgnomecanvasmm static library
Summary(pl.UTF-8):	Biblioteka statyczna libgnomecanvasmm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libgnomecanvasmm static library.

%description static -l pl.UTF-8
Biblioteka statyczna libgnomecanvasmm.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgnomecanvasmm-2.6.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libgnomecanvasmm-2.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomecanvasmm-2.6.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomecanvasmm-2.6.so
%{_libdir}/libgnomecanvasmm-2.6
%{_includedir}/libgnomecanvasmm-2.6
%{_pkgconfigdir}/libgnomecanvasmm-2.6.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomecanvasmm-2.6.a
%endif
%changelog
* Sat Sep 05 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgnomecanvasmm.git;a=log;h=master

* Sat Sep 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 98af3d3
- drop .la file, release 7

* Mon Mar 25 2019 Jan Rękorajski <baggins@pld-linux.org> 3225b91
- release 6 (by relup.sh)

* Fri Mar 15 2019 Jan Palus <atler@pld-linux.org> acf3547
- release 5 (by relup.sh)

* Sat Apr 18 2015 Jan Rękorajski <baggins@pld-linux.org> b0ce56a
- release 4 (by relup.sh)

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 8009e41
- x32 rebuild
- release 3 (by relup.sh)

* Thu Jun 03 2010 Jan Rękorajski <baggins@pld-linux.org> d90e48e
- rel 2

* Tue Feb 09 2010 Szymon Siwek <sls@pld-linux.org> df0f5c3
- ver. 2.26.0

* Mon Nov 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 69dae2f
- release 2

* Wed Apr 16 2008 Jakub Bogusz <qboosh@pld-linux.org> 0e58e59
- ghost soname symlink

* Wed Apr 16 2008 Szymon Siwek <sls@pld-linux.org> df864fe
- ver. 2.22.0

* Sat Sep 15 2007 Marcin Banasiak <marcin.banasiak@gmail.com> c542c3f
- updated to 2.20.0

* Mon Aug 06 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> f5a4876
- rel.4

* Thu Jun 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ac4d11
- rel 3

* Sat Mar 17 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 8c439c1
- release 2 to acquire P:/R: libtool(*.la)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ab69450
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> dc1b6af
- converted to UTF-8

* Fri Aug 18 2006 freetz <freetz@pld-linux.org> 591c974
- 2.16.0, updated deps

* Fri Aug 11 2006 freetz <freetz@pld-linux.org> 14ecfe5
- rel.3, use HEAD deps

* Wed May 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 0aba53e
- merged deps update from AC-branch

* Thu Mar 16 2006 freetz <freetz@pld-linux.org> cc00c38
- 2.14.0

